---

- name: configure apt proxy bypass for https
  become: yes
  copy: src="03adoptopenjdk-direct" dest="/etc/apt/apt.conf.d/03adoptopenjdk-direct"

- name: add adoptopenjdk apt key
  become: yes
  apt_key: url="https://adoptopenjdk.jfrog.io/adoptopenjdk/api/gpg/key/public/"

- name: add adoptopenjdk apt repo
  become: yes
  apt_repository: repo="deb https://adoptopenjdk.jfrog.io/adoptopenjdk/deb/ buster main"

- name: update apt package cache
  become: yes
  apt: upgrade="dist" autoremove="yes" autoclean="yes" update_cache="yes" cache_valid_time="3600"

- name: install adoptopenjdk hotspot jre 16
  become: yes
  apt: name="adoptopenjdk-16-hotspot-jre"
